Bug 658171 - Running tcsh with '-v' option dumps contents of ~/.history
Summary: Running tcsh with '-v' option dumps contents of ~/.history
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tcsh
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Vojtech Vitek
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 583075
Blocks: 688173
TreeView+ depends on / blocked
 
Reported: 2010-11-29 15:17 UTC by Vojtech Vitek
Modified: 2015-03-04 23:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, running tcsh in verbose mode (that is, by using the "-v" option) caused the shell to append history to its output on exit. With this update, a patch has been applied to address this issue, and tcsh now works as expected.
Clone Of: 583075
: 688173 (view as bug list)
Environment:
Last Closed: 2011-02-02 15:31:35 UTC


Attachments (Terms of Use)
Do not print history on verbose (patch v2) (683 bytes, patch)
2011-01-26 16:15 UTC, Vojtech Vitek
no flags Details | Diff
Do not print history on verbose (upstream patch) (807 bytes, patch)
2011-01-28 12:20 UTC, Vojtech Vitek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0193 normal SHIPPED_LIVE tcsh bug fix update 2011-02-02 15:31:12 UTC

Comment 4 Vojtech Vitek 2011-01-26 16:15:02 UTC
Created attachment 475428 [details]
Do not print history on verbose (patch v2)

Comment 6 Jaromir Hradilek 2011-01-27 15:59:56 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, running tcsh in verbose mode (that is, by using the "-v" option) caused the shell to append history to its output on exit. With this update, a patch has been applied to address this issue, and tcsh now works as expected.

Comment 7 Vojtech Vitek 2011-01-28 12:20:08 UTC
Created attachment 475791 [details]
Do not print history on verbose (upstream patch)

Prevents printing also on `history -S`.

Comment 8 Branislav Náter 2011-01-28 17:14:37 UTC
bugfix was successfully verified with tcsh-6.17-11.el6 package on all architectures. Content of history file doesn't appear when running shell script with -v (verbose) parameter.

Comment 9 errata-xmlrpc 2011-02-02 15:31:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0193.html


Note You need to log in before you can comment on or make changes to this bug.